Quote a payout
curl --request POST \
--url https://api.puplar.com/payouts/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 10000,
"currency": "ngn",
"method": "crypto",
"destination": {
"currency": "usdc"
}
}
'import requests
url = "https://api.puplar.com/payouts/quote"
payload = {
"amount": 10000,
"currency": "ngn",
"method": "crypto",
"destination": { "currency": "usdc" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 10000,
currency: 'ngn',
method: 'crypto',
destination: {currency: 'usdc'}
})
};
fetch('https://api.puplar.com/payouts/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success",
"data": {}
}{
"message": "Error message",
"data": {},
"errors": {}
}Payouts
Quote a payout
Preview fee and FX for a payout without debiting the wallet. Pass the same destination object you will use on create, including crypto or bank_transfer. Crypto destination.currency must be usdc or usdt; chain must be a network id from that token on GET /crypto/tokens.
POST
/
payouts
/
quote
Quote a payout
Authorizations
Secret key: Authorization: Bearer sk_test_... or sk_live_.... Business and live/test mode are inferred from the key.
Body
application/json
Wallet debit amount in minor units
Required range:
x >= 0Example:
10000
Wallet currency to debit
Available options:
usd, ngn Example:
"ngn"
Available options:
crypto, bank_transfer Example:
"crypto"
Show child attributes
Show child attributes

